Summary: Small application for listing the contents of DVDs
Name: lsdvd
Version: 0.16
Release: 5%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://untrepid.com/lsdvd/
Source: http://downloads.sf.net/lsdvd/lsdvd-%{version}.tar.gz
Patch: lsdvd-0.16-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake
BuildRequires: libdvdread-devel

%description
lsdvd is a small application which lists the contents of DVDs to your terminal.


%prep
%setup -q
%patch -p1 -b .build
%{__aclocal}
%{__automake} --add-missing --copy --force --gnu --include-deps Makefile
%{__autoconf}


%build
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/lsdvd
%{_mandir}/man1/lsdvd.1*


%changelog
* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.16-5
- Bump release to make our package newer than all known external ones.
- Add dist tag.
- Add --disable-dependency-tracking to %%configure.
- Simplify %%description to remove useless technical details.

* Mon May  8 2006 Matthias Saou <http://freshrpms.net/> 0.16-2
- Rebuild with latest tarball from sf.net, as apparently the original 0.16
  source was replaced after 3 days by a "fixed" source with the same file name.

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 0.16-1
- Update to 0.16.
- Update URL.
- Update build patch, keep fixed libdvdread include detection.
- Include newly added man page.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 0.15-2
- Release bump to drop the disttag number in FC5 build.

* Mon Jan  9 2006 Matthias Saou <http://freshrpms.net/> 0.15-1
- Initial RPM release.

